Subject: Re: [saag] About the "Draft text for a PQ Maintenance WG"

From: Roman Danyliw <[email-masked]>
Date: Thu, 5 Aug 2021 18:46:03 +0000

Hi Ludovic!

Thanks for the feedback.  More inline …

From: saag <[email-masked]> On Behalf Of Ludovic Perret
Sent: Wednesday, July 28, 2021 4:03 PM
To: [email-masked]
Subject: [saag] About the "Draft text for a PQ Maintenance WG"

Dear,

Following the meeting of yesterday and the discussion on post-quantum, I have few comments on the  draft text for a PQ Maintenance WG :
https://datatracker.ietf.org/meeting/111/materials/slides-111-saag-companion-to-how-should-the-ietf-approach-pq-security-draft-pq-maintenance-charter-00

  *    [Post Quantum work collaborators] --> what is exactly the semantic behind that ? Do you expect a commitment from pq people ?
[Roman] “[Post Quantum work collaborators]” was a variable of sorts to explicitly name organizations which would be producers of PQ crypto.
Contextually, the “[Post Quantum work collaborators]” variable is used twice to explain which organizations the IETF is watching and where it might get algorithms:
“Active work is underway at the [Post Quantum Work Collaborators] to develop and validate Post-Quantum (PQ) cryptographic mechanisms expected to be resilient to the cryptanalysis capabilities of future quantum computing environments.”
The [Planned WG Acronym] WG will not define new PQ algorithms. It will only standardize the usage of PQ algorithms and methods that are defined by or received review from [Post Quantum work collaborators].
I’ve updated the placeholder section to read “[Post Quantum work collaborators] = US National Institute of Standards and Technology, IRTF CFRG” to make that clearer.  We might want to polish that list.

  *   The [Planned WG Acronym] WG will not define new PQ algorithms and methods --> What do you mean by method ?
[Roman] Agreed on the lack of precision.  It was intended to catch additional guidance that might come with those algorithms.  For now, I’ll remove it and we can decide later on whether that is too loose.

     *   I would suggest "The [Planned WG Acronym] WG will rely on future NIST or international pq  standards"
[Roman] That precise scope was the intent of the second sentence.  “It will only standardize the usage of PQ algorithms and methods that are specified by or received review from [Post Quantum work collaborators].”  The verb “standardize” is an important symmetry to the relationship between the IRTF (CFRG) and the IETF (and was added there at IRTF request).  The IRTF doesn’t make standards and the IETF relies on their informational documents to created specifications/standards.  IMO, it’s import to be clear on which sources this WG might rely on.
Regards,
Roman

Best Regards,

Ludovic Perret,

CPO, co-founder, CryptoNext Security
https://cryptonext-security.com/